> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywithatoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer | Customers API

> Retrieve customer via the Atoa Customers API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.

Get a customer by ID.

### Authorization

Bearer `<accessSecret>`

**Path Parameters**

**customerId** `string` *required*

The customer's unique identifier (UUID).

**Response**

**id** `string`

Customer UUID.

**fullName** `string`

Customer's full name.

**email** `string`

Customer's email address.

**type** `string`

`INDIVIDUAL` or `BUSINESS`.

**phoneCountryCode** `string`

Phone country code.

**phoneNumber** `string`

Phone number.

**address** `string`

Customer's address.

**city** `string`

Customer's city.

**postcode** `string`

Customer's postcode.

**metadata** `object`

Key/value string pairs attached to the customer.

**createdAt** `string`

ISO 8601 creation timestamp.

```bash curl theme={null}
curl --request GET \
  --url https://api.atoa.me/api/customers/{customerId} \
  --header 'Authorization: Bearer <token>'
```

```python Python theme={null}
import requests

url = "https://api.atoa.me/api/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)
print(response.json())
```

```javascript JavaScript theme={null}
const response = await fetch(
  "https://api.atoa.me/api/customers/{customerId}",
  {
    headers: { Authorization: "Bearer <token>" },
  }
);

const data = await response.json();
console.log(data);
```

```php PHP theme={null}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

```go Go theme={null}
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.atoa.me/api/customers/{customerId}"

  req, _ := http.NewRequest("GET", url, nil)
  req.Header.Add("Authorization", "Bearer <token>")

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)
  fmt.Println(string(body))
}
```

```java Java theme={null}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```json 200 theme={null}
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "fullName": "John Doe",
  "email": "john.doe@example.com",
  "type": "INDIVIDUAL",
  "phoneCountryCode": "44",
  "phoneNumber": "7911123456",
  "address": "123 High Street",
  "city": "London",
  "postcode": "SW1A 1AA",
  "metadata": {
    "crmId": "CRM-8842",
    "loyaltyTier": "gold"
  },
  "createdAt": "2025-06-15T10:30:00.000Z"
}
```

```json 404 theme={null}
{
  "name": "NOT_FOUND",
  "message": "Customer not found",
  "status": 404,
  "errors": []
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.